# Snapshot report for `test/test.js`

The actual snapshot is saved in `test.js.snap`.

Generated by [AVA](https://avajs.dev).

## inserts a default import statement

> Snapshot 1

    `import { default as $ } from 'jquery';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## uses the modules property

> Snapshot 1

    `import { default as $ } from 'jquery';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## escapes apostrophes in module name

> Snapshot 1

    `import { default as $ } from 'd\\'oh';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## escapes backslashes in module name

> Snapshot 1

    `import { default as $ } from 'slash\\\\back';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## inserts a named import statement

> Snapshot 1

    `import { Promise as Promise } from 'es6-promise';␊
    ␊
    Promise.all([thisThing, thatThing]).then(() => someOtherThing);␊
    `

## overwrites keypaths

> Snapshot 1

    `import { default as $inject_Object_assign } from 'fixtures/keypaths/polyfills/object-assign.js';␊
    ␊
    const original = { foo: 'bar' };␊
    const clone = $inject_Object_assign({}, original);␊
    ␊
    export default clone;␊
    `

## ignores existing imports

> Snapshot 1

    `import $ from 'jquery';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## handles shadowed variables

> Snapshot 1

    `function launch($) {␊
      $(() => {␊
        console.log('ready');␊
      });␊
    }␊
    ␊
    launch((fn) => fn());␊
    `

## handles shorthand properties

> Snapshot 1

    `import { Promise as Promise } from 'es6-promise';␊
    ␊
    const polyfills = { Promise };␊
    polyfills.Promise.resolve().then(() => 'it works');␊
    `

## handles shorthand properties (as assignment)

> Snapshot 1

    `const { Promise = "fallback" } = foo;␊
    console.log(Promise);␊
    ␊
    `

## handles shorthand properties in function

> Snapshot 1

    `function foo({Promise}) {␊
      console.log(Promise);␊
    }␊
    foo();␊
    ␊
    `

## handles shorthand properties in function (as fallback value)

> Snapshot 1

    `import { Promise as Promise } from 'es6-promise';␊
    ␊
    function foo({bar = Promise}) {␊
      console.log(bar);␊
    }␊
    foo();␊
    ␊
    `

## handles redundant keys

> Snapshot 1

    `import { default as $inject_Buffer_isBuffer } from 'is-buffer';␊
    ␊
    $inject_Buffer_isBuffer('foo');␊
    `

## generates * imports

> Snapshot 1

    `import * as foo from 'foo';␊
    ␊
    console.log(foo.bar);␊
    console.log(foo.baz);␊
    `

## transpiles non-JS files but handles failures to parse

> Snapshot 1

    `import './styles.css';␊
    import foo from './foo.es6';␊
    ␊
    assert.equal(foo, path.join('..', 'baz'));␊
    `

## ignores check isReference is false

> Snapshot 1

    `import { bar as foo } from 'path';␊
    ␊
    console.log({ bar: foo });␊
    class Foo {␊
      bar() {␊
        console.log(this);␊
      }␊
    }␊
    export { Foo };␊
    export { foo as bar };␊
    `
